Package org.opensaml.soap.config.impl

# Class SOAPConfigurationInitializer

java.lang.Object
org.opensaml.soap.config.impl.SOAPConfigurationInitializer

All Implemented Interfaces:
  `Initializer`

public class SOAPConfigurationInitializer extends Object implements Initializer
An initializer which initializes the `SOAPConfiguration` instance held by the `ConfigurationService`.

This includes the artifact factories for SAML 1 and SAML 2 artifacts.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CONFIG_PROP_PREFIX_DECODE`
Config property prefix for decoders.
`static final String`
`CONFIG_PROPERTY_ENFORCE_SIZE_LIMIT`
Config property name: Enforce SOAP size limit.
`static final String`
`CONFIG_PROPERTY_SIZE_LIMIT`
Config property name: SAMLRequest size limit.
`static final String`
`ENFORCE_SIZE_LIMIT_DEFAULT`
Config property default: Enforce SOAP size limit: false.
`private org.slf4j.Logger`
`log`
Logger.
`static final String`
`SIZE_LIMIT_DEFAULT`
Config property default: SAMLRequest size limit: 2 MB.

## Constructor Summary

Constructors
Constructor
Description
`SOAPConfigurationInitializer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`init()`
Perform the initialization process encompassed by the implementation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CONFIG_PROP_PREFIX_DECODE

public static final String CONFIG_PROP_PREFIX_DECODE
Config property prefix for decoders.

See Also:
  - Constant Field Values

### CONFIG_PROPERTY_ENFORCE_SIZE_LIMIT

public static final String CONFIG_PROPERTY_ENFORCE_SIZE_LIMIT
Config property name: Enforce SOAP size limit.

See Also:
  - Constant Field Values

### ENFORCE_SIZE_LIMIT_DEFAULT

public static final String ENFORCE_SIZE_LIMIT_DEFAULT
Config property default: Enforce SOAP size limit: false.

See Also:
  - Constant Field Values

### CONFIG_PROPERTY_SIZE_LIMIT

public static final String CONFIG_PROPERTY_SIZE_LIMIT
Config property name: SAMLRequest size limit.

See Also:
  - Constant Field Values

### SIZE_LIMIT_DEFAULT

public static final String SIZE_LIMIT_DEFAULT
Config property default: SAMLRequest size limit: 2 MB.

See Also:
  - Constant Field Values

### log

@Nonnull private org.slf4j.Logger log
Logger.

## Constructor Details

### SOAPConfigurationInitializer

public SOAPConfigurationInitializer()

## Method Details

### init

public void init() throws InitializationException
Perform the initialization process encompassed by the implementation.

Specified by:
  `init` in interface `Initializer`
Throws:
  `InitializationException` - if initialization could not be completed successfully